The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

mongrel_rails error

Discussion in 'General Discussion' started by mail2sacp, Apr 13, 2008.

  1. mail2sacp

    mail2sacp Well-Known Member

    Joined:
    Feb 25, 2007
    Messages:
    71
    Likes Received:
    0
    Trophy Points:
    6
    Hello,

    I changed it a little bit since in .fcgi mode it runs in development mode
    which takes long to load and has bad performance. Furthermore there wasn't a
    possibility to start/stop the process which is required by rails_apps to
    reload Classes etc.

    So when I started a script/server it should start mongrel_rails, but gives
    me an error: /usr/local/bin/mongrel_rails:17: undefined method `require_gem'
    for main:Object (NoMethodError) this has something to do with new
    rails/ruby/gems versions updating the gems might help:
    http://www.ruby-forum.com/topic/138346#new Same when I try mongrel_rails or
    /home/ralf/rails_apps/lemontime/script/server -p 12006 -e production -d

    What should we do to fix this error?

    Please update us on this
     
  2. mail2sacp

    mail2sacp Well-Known Member

    Joined:
    Feb 25, 2007
    Messages:
    71
    Likes Received:
    0
    Trophy Points:
    6
    Hi,

    I do the following steps and get the error.

    1. cd /home/user/rails_apps/test

    2. script/server -p 12006 -e production -d

    3. I get following error.

    ** Ruby version is not up-to-date; loading cgi_multipart_eof_fix
    => Booting Mongrel (use 'script/server webrick' to force WEBrick)
    => Rails application starting on http://0.0.0.0:12006
    /usr/local/bin/mongrel_rails:17: undefined method `require_gem' for main:Object (NoMethodError)

    How to fix this error we dont need to use webbrick

    Thank you
     
Loading...

Share This Page